{% extends 'users/auth.html' %}

{% block content %}
	<form method="post" action="/auth/">
		{% csrf_token %}
		{% for field in form %}
			<div class="input-field">
				{% if 'password' in field.name %}
					<input type="password" name="{{ field.name }}" required>
				{% else %}
					<input type="text" name="{{ field.name }}" required>
				{% endif %}
				<span class="highlight"></span>
				<span class="bar"></span>
				<label>{{ field.label }}</label>
			</div>
		{% endfor %}
		<button class="button single" type="submit">Войти</button>
	</form>
	<script>
		$(function() {
			$("form").submit(function(e) {
				e.preventDefault();
				var form = $(this);
				var posting = $.post(form.attr('action'), form.serialize());
				posting.done(function(data) {
					modalMessage(data);
					window.location = '/getSession/';
				});
				posting.fail(function(data) {
					modalMessage(data['responseText']);
					$("form input[type='password']").val('');
				});
			});
		});
	</script>
{% endblock %}
